--- old/usr/src/uts/common/io/fibre-channel/fca/qlc/ql_ioctl.c	2014-10-23 11:04:55.145495520 -0400
+++ new/usr/src/uts/common/io/fibre-channel/fca/qlc/ql_ioctl.c	2014-10-23 11:04:55.150454312 -0400
@@ -504,10 +504,6 @@
 	}
 
 	nv = kmem_zalloc(sizeof (*nv), KM_SLEEP);
-	if (nv == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		return (ENOMEM);
-	}
 
 	rval = ql_lock_nvram(ha, &start_addr, LNF_NVRAM_DATA);
 	if (rval != QL_SUCCESS) {
@@ -611,10 +607,6 @@
 		uint32_t	csum = 0;
 
 		nv = kmem_zalloc(sizeof (*nv), KM_SLEEP);
-		if (nv == NULL) {
-			EL(ha, "failed, kmem_zalloc\n");
-			return (ENOMEM);
-		}
 
 		nv->nvram_version[0] = LSB(ICB_24XX_VERSION);
 		nv->nvram_version[1] = MSB(ICB_24XX_VERSION);
@@ -688,10 +680,6 @@
 		uint8_t		csum;
 
 		nv = kmem_zalloc(sizeof (*nv), KM_SLEEP);
-		if (nv == NULL) {
-			EL(ha, "failed, kmem_zalloc\n");
-			return (ENOMEM);
-		}
 		/*
 		 * Set default initialization control block.
 		 */
@@ -940,10 +928,7 @@
 
 	QL_PRINT_9(CE_CONT, "(%d): started\n", ha->instance);
 
-	if ((nv = kmem_zalloc(ha->nvram_cache->size, KM_SLEEP)) == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		return (ENOMEM);
-	}
+	nv = kmem_zalloc(ha->nvram_cache->size, KM_SLEEP);
 
 	if (ddi_copyin(bp, nv, ha->nvram_cache->size, mode) != 0) {
 		EL(ha, "Buffer copy failed\n");
@@ -1162,10 +1147,7 @@
 
 	vpd_size = QL_24XX_VPD_SIZE;
 
-	if ((vpd = kmem_zalloc(vpd_size, KM_SLEEP)) == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		return (ENOMEM);
-	}
+	vpd = kmem_zalloc(vpd_size, KM_SLEEP);
 
 	if (ddi_copyin(bp, vpd, vpd_size, mode) != 0) {
 		EL(ha, "Buffer copy failed\n");
@@ -1304,11 +1286,7 @@
 		return (rval);
 	}
 
-	if ((vpd = kmem_zalloc(vpd_size, KM_SLEEP)) == NULL) {
-		CACHE_UNLOCK(ha);
-		EL(ha, "failed, kmem_zalloc\n");
-		return (ENOMEM);
-	}
+	vpd = kmem_zalloc(vpd_size, KM_SLEEP);
 
 	/* Quiesce I/O */
 	if (ql_stall_driver(ha, 0) != QL_SUCCESS) {
@@ -1576,10 +1554,7 @@
 	saddr = faddr & ~(bsize - 1);
 	ofst = faddr & (bsize - 1);
 
-	if ((bp = kmem_zalloc(bsize, KM_SLEEP)) == NULL) {
-		EL(ha, "kmem_zalloc=null\n");
-		return (QL_MEMORY_ALLOC_FAILED);
-	}
+	bp = kmem_zalloc(bsize, KM_SLEEP);
 
 	while (bc) {
 		xfer = bc > bsize ? bsize : bc;
@@ -2035,10 +2010,6 @@
 	QL_PRINT_9(CE_CONT, "(%d): started\n", ha->instance);
 
 	prop_name = kmem_zalloc(dop->length, KM_SLEEP);
-	if (prop_name == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		return (ENOMEM);
-	}
 
 	if (ddi_copyin((void *)(uintptr_t)dop->buffer, prop_name, dop->length,
 	    mode) != 0) {
@@ -2092,10 +2063,6 @@
 
 	if (ha->ql_dump_state & QL_DUMP_VALID) {
 		dmp = kmem_zalloc(ha->risc_dump_size, KM_SLEEP);
-		if (dmp == NULL) {
-			EL(ha, "failed, kmem_zalloc\n");
-			return (ENOMEM);
-		}
 
 		dop->length = (uint32_t)ql_ascii_fw_dump(ha, dmp);
 		if (ddi_copyout((void *)dmp, (void *)(uintptr_t)dop->buffer,
@@ -2221,10 +2188,7 @@
 
 	QL_PRINT_9(CE_CONT, "(%d): started\n", ha->instance);
 
-	if ((dp = kmem_zalloc(dop->length, KM_SLEEP)) == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		return (ENOMEM);
-	}
+	dp = kmem_zalloc(dop->length, KM_SLEEP);
 
 	if (ddi_copyin((void *)(uintptr_t)dop->buffer, dp, dop->length,
 	    mode) != 0) {
